Index: branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/SwapExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/SwapExpressions.cs	(revision 14397)
+++ branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/SwapExpressions.cs	(revision 14398)
@@ -8,9 +8,6 @@
     /// </summary>
     /// <typeparam name="T">Stacktype</typeparam>
-    public abstract class SwapExpression<T> : Expression
+    public abstract class SwapExpression<T> : StatelessExpression
     {
-        public SwapExpression(string stringRepresentation) : base(stringRepresentation)
-        { }
-
         public void Eval(IStack<T> stack)
         {
@@ -24,10 +21,9 @@
     public class IntegerSwapExpression : SwapExpression<long>
     {
-        public IntegerSwapExpression() : base("INTEGER.SWAP")
-        { }
+        protected override string InitStringRepresentation() { return "INTEGER.SWAP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.IntegerStack);
+            Eval(interpreter.IntegerStack);
         }
     }
@@ -35,10 +31,9 @@
     public class FloatSwapExpression : SwapExpression<double>
     {
-        public FloatSwapExpression() : base("FLOAT.SWAP")
-        { }
+        protected override string InitStringRepresentation() { return "FLOAT.SWAP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.FloatStack);
+            Eval(interpreter.FloatStack);
         }
     }
@@ -46,10 +41,9 @@
     public class BooleanSwapExpression : SwapExpression<bool>
     {
-        public BooleanSwapExpression() : base("BOOLEAN.SWAP")
-        { }
+        protected override string InitStringRepresentation() { return "BOOLEAN.SWAP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.BooleanStack);
+            Eval(interpreter.BooleanStack);
         }
     }
@@ -57,10 +51,9 @@
     public class NameSwapExpression : SwapExpression<string>
     {
-        public NameSwapExpression() : base("NAME.SWAP")
-        { }
+        protected override string InitStringRepresentation() { return "NAME.SWAP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.NameStack);
+            Eval(interpreter.NameStack);
         }
     }
@@ -68,10 +61,9 @@
     public class ExecSwapExpression : SwapExpression<Expression>
     {
-        public ExecSwapExpression() : base("EXEC.SWAP")
-        { }
+        protected override string InitStringRepresentation() { return "EXEC.SWAP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.ExecStack);
+            Eval(interpreter.ExecStack);
         }
     }
@@ -79,10 +71,9 @@
     public class CodeSwapExpression : SwapExpression<Expression>
     {
-        public CodeSwapExpression() : base("CODE.SWAP")
-        { }
+        protected override string InitStringRepresentation() { return "CODE.SWAP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.CodeStack);
+            Eval(interpreter.CodeStack);
         }
     }
Index: branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/YankDuplicateExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/YankDuplicateExpressions.cs	(revision 14397)
+++ branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/YankDuplicateExpressions.cs	(revision 14398)
@@ -9,9 +9,6 @@
     /// </summary>
     /// <typeparam name="T">Stacktype</typeparam>
-    public abstract class YankDuplicateExpression<T> : Expression
+    public abstract class YankDuplicateExpression<T> : StatelessExpression
     {
-        public YankDuplicateExpression(string stringRepresentation) : base(stringRepresentation)
-        { }
-
         public void Eval(IStack<T> stack, IStack<long> integerStack, int count = 1)
         {
@@ -35,10 +32,9 @@
     public class IntegerYankDuplicateExpression : YankDuplicateExpression<long>
     {
-        public IntegerYankDuplicateExpression() : base("INTEGER.YANKDUP")
-        { }
+        protected override string InitStringRepresentation() { return "INTEGER.YANKDUP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.IntegerStack, interpreter.IntegerStack, 2);
+            Eval(interpreter.IntegerStack, interpreter.IntegerStack, 2);
         }
     }
@@ -46,10 +42,9 @@
     public class FloatYankDuplicateExpression : YankDuplicateExpression<double>
     {
-        public FloatYankDuplicateExpression() : base("FLOAT.YANKDUP")
-        { }
+        protected override string InitStringRepresentation() { return "FLOAT.YANKDUP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.FloatStack, interpreter.IntegerStack);
+            Eval(interpreter.FloatStack, interpreter.IntegerStack);
         }
     }
@@ -57,10 +52,9 @@
     public class BooleanYankDuplicateExpression : YankDuplicateExpression<bool>
     {
-        public BooleanYankDuplicateExpression() : base("BOOLEAN.YANKDUP")
-        { }
+        protected override string InitStringRepresentation() { return "BOOLEAN.YANKDUP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.BooleanStack, interpreter.IntegerStack);
+            Eval(interpreter.BooleanStack, interpreter.IntegerStack);
         }
     }
@@ -68,10 +62,9 @@
     public class NameYankDuplicateExpression : YankDuplicateExpression<string>
     {
-        public NameYankDuplicateExpression() : base("NAME.YANKDUP")
-        { }
+        protected override string InitStringRepresentation() { return "NAME.YANKDUP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.NameStack, interpreter.IntegerStack);
+            Eval(interpreter.NameStack, interpreter.IntegerStack);
         }
     }
@@ -79,10 +72,9 @@
     public class ExecYankDuplicateExpression : YankDuplicateExpression<Expression>
     {
-        public ExecYankDuplicateExpression() : base("EXEC.YANKDUP")
-        { }
+        protected override string InitStringRepresentation() { return "EXEC.YANKDUP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.ExecStack, interpreter.IntegerStack);
+            Eval(interpreter.ExecStack, interpreter.IntegerStack);
         }
     }
@@ -90,10 +82,9 @@
     public class CodeYankDuplicateExpression : YankDuplicateExpression<Expression>
     {
-        public CodeYankDuplicateExpression() : base("CODE.YANKDUP")
-        { }
+        protected override string InitStringRepresentation() { return "CODE.YANKDUP"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.CodeStack, interpreter.IntegerStack);
+            Eval(interpreter.CodeStack, interpreter.IntegerStack);
         }
     }
Index: branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/YankExpressions.cs
===================================================================
--- branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/YankExpressions.cs	(revision 14397)
+++ branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Expressions/YankExpressions.cs	(revision 14398)
@@ -9,9 +9,6 @@
     /// </summary>
     /// <typeparam name="T">Stacktype</typeparam>
-    public abstract class YankExpression<T> : Expression
+    public abstract class YankExpression<T> : StatelessExpression
     {
-        public YankExpression(string stringRepresentation) : base(stringRepresentation)
-        { }
-
         public void Eval(IStack<T> stack, IStack<long> integerStack, int count = 1)
         {
@@ -33,10 +30,9 @@
     public class IntegerYankExpression : YankExpression<long>
     {
-        public IntegerYankExpression() : base("INTEGER.YANK")
-        { }
+        protected override string InitStringRepresentation() { return "INTEGER.YANK"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.IntegerStack, interpreter.IntegerStack, 2);
+            Eval(interpreter.IntegerStack, interpreter.IntegerStack, 2);
         }
     }
@@ -44,10 +40,9 @@
     public class FloatYankExpression : YankExpression<double>
     {
-        public FloatYankExpression() : base("FLOAT.YANK")
-        { }
+        protected override string InitStringRepresentation() { return "FLOAT.YANK"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.FloatStack, interpreter.IntegerStack);
+            Eval(interpreter.FloatStack, interpreter.IntegerStack);
         }
     }
@@ -55,10 +50,9 @@
     public class BooleanYankExpression : YankExpression<bool>
     {
-        public BooleanYankExpression() : base("BOOLEAN.YANK")
-        { }
+        protected override string InitStringRepresentation() { return "BOOLEAN.YANK"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.BooleanStack, interpreter.IntegerStack);
+            Eval(interpreter.BooleanStack, interpreter.IntegerStack);
         }
     }
@@ -66,10 +60,9 @@
     public class NameYankExpression : YankExpression<string>
     {
-        public NameYankExpression() : base("NAME.YANK")
-        { }
+        protected override string InitStringRepresentation() { return "NAME.YANK"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.NameStack, interpreter.IntegerStack);
+            Eval(interpreter.NameStack, interpreter.IntegerStack);
         }
     }
@@ -77,10 +70,9 @@
     public class ExecYankExpression : YankExpression<Expression>
     {
-        public ExecYankExpression() : base("EXEC.YANK")
-        { }
+        protected override string InitStringRepresentation() { return "EXEC.YANK"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.ExecStack, interpreter.IntegerStack);
+            Eval(interpreter.ExecStack, interpreter.IntegerStack);
         }
     }
@@ -88,10 +80,9 @@
     public class CodeYankExpression : YankExpression<Expression>
     {
-        public CodeYankExpression() : base("CODE.YANK")
-        { }
+        protected override string InitStringRepresentation() { return "CODE.YANK"; }
 
         public override void Eval(IInterpreter interpreter)
         {
-            this.Eval(interpreter.CodeStack, interpreter.IntegerStack);
+            Eval(interpreter.CodeStack, interpreter.IntegerStack);
         }
     }
Index: branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Generators/CodeGenerator.cs
===================================================================
--- branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Generators/CodeGenerator.cs	(revision 14397)
+++ branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Generators/CodeGenerator.cs	(revision 14398)
@@ -46,6 +46,6 @@
             if (points == 1)
             {
-                var index = random.Next(0, ExpressionTable.Count + this.interpreter.CustomExpressions.Count - 2);
-                return new[] { this.CreateExpression(index) };
+                var index = random.Next(0, ExpressionTable.Count + interpreter.CustomExpressions.Count - 2);
+                return new[] { CreateExpression(index) };
             }
             else
@@ -73,5 +73,5 @@
             return (index >= 0 && index < ExpressionTable.Count)
                 ? ExpressionTable.GetExpression(index)
-                : new NameDefineXExecExpression(this.interpreter.CustomExpressions.ElementAt(index - (ExpressionTable.Count - 1)).Key);
+                : new NameDefineXExecExpression(interpreter.CustomExpressions.ElementAt(index - (ExpressionTable.Count - 1)).Key);
         }
     }
Index: branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP.csproj
===================================================================
--- branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP.csproj	(revision 14397)
+++ branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP.csproj	(revision 14398)
@@ -52,4 +52,6 @@
   </ItemGroup>
   <ItemGroup>
+    <Compile Include="Data\ExpressionNode.cs" />
+    <Compile Include="Data\ExpressionTree.cs" />
     <Compile Include="Exporter\Exporter.cs" />
     <Compile Include="Expressions\BooleanExpressions.cs" />
@@ -63,5 +65,6 @@
     <Compile Include="Expressions\EqualsExpressions.cs" />
     <Compile Include="Expressions\RandExpressions.cs" />
-    <Compile Include="Expressions\SetExpressions.cs" />
+    <Compile Include="Expressions\StatefullExpression.cs" />
+    <Compile Include="Expressions\StatelessExpression.cs" />
     <Compile Include="Expressions\YankDuplicateExpressions.cs" />
     <Compile Include="Expressions\YankExpressions.cs" />
@@ -82,5 +85,4 @@
     <Compile Include="Simplifier\ISimplifier.cs" />
     <Compile Include="Simplifier\RandomSimplifier.cs" />
-    <Compile Include="StateFullExpressionAttribute.cs" />
     <Compile Include="Generators\BooleanGenerator.cs" />
     <Compile Include="Generators\FloatGenerator.cs" />
Index: branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Interpreter/Configuration.cs
===================================================================
--- branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Interpreter/Configuration.cs	(revision 14397)
+++ branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Interpreter/Configuration.cs	(revision 14398)
@@ -8,26 +8,26 @@
         public Configuration()
         {
-            this.IsBooleanStackEnabled = true;
-            this.IsIntegerStackEnabled = true;
-            this.IsFloatStackEnabled = true;
-            this.IsCodeStackEnabled = true;
-            this.IsNameStackEnabled = true;
+            IsBooleanStackEnabled = true;
+            IsIntegerStackEnabled = true;
+            IsFloatStackEnabled = true;
+            IsCodeStackEnabled = true;
+            IsNameStackEnabled = true;
 
-            this.EvalPushLimit = 4096;
-            this.MaxPointsInProgram = 128;
-            this.MaxPointsInRandomExpression = 1024;
+            EvalPushLimit = 4096;
+            MaxPointsInProgram = 128;
+            MaxPointsInRandomExpression = 1024;
 
-            this.TopLevelPushCode = true;
-            this.TopLevelPopCode = false;
+            TopLevelPushCode = true;
+            TopLevelPopCode = false;
 
-            this.RandomSeedMax = 30081;
-            this.RandomSeedMin = 0;
-            this.RandomSeed = null;
+            RandomSeedMax = 30081;
+            RandomSeedMin = 0;
+            RandomSeed = null;
 
-            this.MinRandomInteger = -128;
-            this.MaxRandomInteger = 128;
-            this.MinRandomFloat = -128D;
-            this.MaxRandomFloat = 128D;
-            this.NewErcNameProbability = 0.5;
+            MinRandomInteger = -128;
+            MaxRandomInteger = 128;
+            MinRandomFloat = -128D;
+            MaxRandomFloat = 128D;
+            NewErcNameProbability = 0.5;
         }
 
Index: branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Interpreter/PushGPInterpreter.cs
===================================================================
--- branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Interpreter/PushGPInterpreter.cs	(revision 14397)
+++ branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Interpreter/PushGPInterpreter.cs	(revision 14398)
@@ -16,16 +16,16 @@
         public PushGPInterpreter(Configuration config = null)
         {
-            this.Configuration = config ?? new Configuration();
-
-            this.CodeStack = new PushGPStack<Expression>(128);
-            this.ExecStack = new PushGPStack<Expression>(128);
-            this.NameStack = new PushGPStack<string>(16);
-            this.BooleanStack = new PushGPStack<bool>(16);
-            this.IntegerStack = new PushGPStack<long>(16);
-            this.FloatStack = new PushGPStack<double>(16);
-
-            this.CustomExpressions = new Dictionary<string, Expression>();
-
-            this.CodeGenerator = new CodeGenerator(this);
+            Configuration = config ?? new Configuration();
+
+            CodeStack = new PushGPStack<Expression>(128);
+            ExecStack = new PushGPStack<Expression>(128);
+            NameStack = new PushGPStack<string>(16);
+            BooleanStack = new PushGPStack<bool>(16);
+            IntegerStack = new PushGPStack<long>(16);
+            FloatStack = new PushGPStack<double>(16);
+
+            CustomExpressions = new Dictionary<string, Expression>();
+
+            CodeGenerator = new CodeGenerator(this);
         }
 
@@ -35,6 +35,6 @@
         public bool IsPaused { get; private set; }
         public bool IsAborted { get; private set; }
-        public bool IsRunning { get { return this.ExecStack.Count > 0 && !IsPaused && !IsAborted && ExecCounter < Configuration.EvalPushLimit; } }
-        public bool IsCompleted { get { return this.ExecStack.Count == 0; } }
+        public bool IsRunning { get { return ExecStack.Count > 0 && !IsPaused && !IsAborted && ExecCounter < Configuration.EvalPushLimit; } }
+        public bool IsCompleted { get { return ExecStack.Count == 0; } }
         public bool CanStep { get { return !IsCompleted && !IsAborted && IsPaused; } }
 
@@ -54,23 +54,23 @@
         public void Reset()
         {
-            this.IsAborted = false;
-            this.IsPaused = false;
-            this.currentTask = null;
-
-            this.Clear();
+            IsAborted = false;
+            IsPaused = false;
+            currentTask = null;
+
+            Clear();
         }
 
         public void Clear()
         {
-            this.ExecCounter = 0;
-
-            this.ExecStack.Clear();
-            this.CodeStack.Clear();
-            this.NameStack.Clear();
-            this.BooleanStack.Clear();
-            this.IntegerStack.Clear();
-            this.FloatStack.Clear();
-
-            this.CustomExpressions.Clear();
+            ExecCounter = 0;
+
+            ExecStack.Clear();
+            CodeStack.Clear();
+            NameStack.Clear();
+            BooleanStack.Clear();
+            IntegerStack.Clear();
+            FloatStack.Clear();
+
+            CustomExpressions.Clear();
         }
 
@@ -78,5 +78,5 @@
         {
             var program = Encode(code);
-            this.Interpret(program);
+            Interpret(program);
         }
 
@@ -85,5 +85,5 @@
             var program = Encode(code);
 
-            this.currentTask = this.InterpretAsync(program, paused, token);
+            currentTask = InterpretAsync(program, paused, token);
 
             return currentTask;
@@ -92,6 +92,6 @@
         public Task InterpretAsync(Expression program, bool paused = false, CancellationToken token = default(CancellationToken))
         {
-            this.IsPaused = paused;
-            this.currentTask = Task.Run(() => this.Interpret(program), token);
+            IsPaused = paused;
+            currentTask = Task.Run(() => Interpret(program), token);
 
             return currentTask;
@@ -103,33 +103,33 @@
              * If the top expression is a single statement then the loop has nothing to do
              * Otherwise the expand expression will be evaluated and pushes code onto the EXEC stack */
-            this.ExecStack.Push(program);
-
-            if (this.Configuration.TopLevelPushCode)
-            {
-                this.CodeStack.Insert(0, program);
+            ExecStack.Push(program);
+
+            if (Configuration.TopLevelPushCode)
+            {
+                CodeStack.Insert(0, program);
             }
 
             // run top expression
-            this.ExecStack.Pop().Eval(this);
-
-            this.Interpret();
+            ExecStack.Pop().Eval(this);
+
+            Interpret();
         }
 
         private void Interpret()
         {
-            while (this.IsRunning)
-            {
-                this.DoStep();
-                this.ExecCounter++;
-            }
-
-            this.Finally();
+            while (IsRunning)
+            {
+                DoStep();
+                ExecCounter++;
+            }
+
+            Finally();
         }
 
         private void Finally()
         {
-            if (this.IsCompleted && this.Configuration.TopLevelPopCode && this.CodeStack.Count > 0)
-            {
-                this.CodeStack.Pop();
+            if (IsCompleted && Configuration.TopLevelPopCode && CodeStack.Count > 0)
+            {
+                CodeStack.Pop();
             }
         }
@@ -137,24 +137,24 @@
         private void DoStep()
         {
-            this.ExecStack.Pop().Eval(this);
+            ExecStack.Pop().Eval(this);
         }
 
         private Task InterpreteAsync()
         {
-            this.currentTask = Task.Run(() => this.Interpret());
-
-            return this.currentTask;
+            currentTask = Task.Run(() => Interpret());
+
+            return currentTask;
         }
 
         public async Task AbortAsync()
         {
-            if (this.IsAborted || this.IsCompleted)
+            if (IsAborted || IsCompleted)
                 return;
 
-            this.IsAborted = true;
-
-            if (this.currentTask != null)
-            {
-                await this.currentTask;
+            IsAborted = true;
+
+            if (currentTask != null)
+            {
+                await currentTask;
             }
         }
@@ -162,18 +162,18 @@
         public async Task AbortAndResetAsync()
         {
-            await this.AbortAsync();
-            this.Reset();
+            await AbortAsync();
+            Reset();
         }
 
         public async Task PauseAsync()
         {
-            if (this.IsPaused || this.IsCompleted)
+            if (IsPaused || IsCompleted)
                 return;
 
-            this.IsPaused = true;
-
-            if (this.currentTask != null)
-            {
-                await this.currentTask;
+            IsPaused = true;
+
+            if (currentTask != null)
+            {
+                await currentTask;
             }
         }
@@ -181,19 +181,19 @@
         public Task ResumeAsync()
         {
-            if (this.IsPaused || !this.IsAborted)
-            {
-                this.IsPaused = false;
-                return this.InterpreteAsync();
-            }
-
-            return this.currentTask;
+            if (IsPaused || !IsAborted)
+            {
+                IsPaused = false;
+                return InterpreteAsync();
+            }
+
+            return currentTask;
         }
 
         public void Step()
         {
-            if (this.CanStep)
-            {
-                this.DoStep();
-                this.Finally();
+            if (CanStep)
+            {
+                DoStep();
+                Finally();
             }
         }
@@ -203,5 +203,5 @@
             for (var i = 0; i < count; i++)
             {
-                this.Step();
+                Step();
             }
         }
@@ -229,10 +229,10 @@
         public void PrintStacks()
         {
-            this.PrintStack("EXEC", this.ExecStack);
-            this.PrintStack("CODE", this.CodeStack);
-            this.PrintStack("NAME", this.NameStack);
-            this.PrintStack("BOOLEAN", this.BooleanStack);
-            this.PrintStack("FLOAT", this.FloatStack);
-            this.PrintStack("INTEGER", this.IntegerStack);
+            PrintStack("EXEC", ExecStack);
+            PrintStack("CODE", CodeStack);
+            PrintStack("NAME", NameStack);
+            PrintStack("BOOLEAN", BooleanStack);
+            PrintStack("FLOAT", FloatStack);
+            PrintStack("INTEGER", IntegerStack);
         }
 
Index: branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Simplifier/RandomSimplifier.cs
===================================================================
--- branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Simplifier/RandomSimplifier.cs	(revision 14397)
+++ branches/PushGP/HeuristicLab.Algorithms.PushGP/HeuristicLab.Algorithms.PushGP/Simplifier/RandomSimplifier.cs	(revision 14398)
@@ -17,7 +17,8 @@
             var clone = program.Clone() as ExecExpandExpression;
 
-            for (var i = 0; i < this.Trys; i++)
+            for (var i = 0; i < Trys; i++)
             {
                 var index = rand.Next(0, clone.TotalCount - 1);
+
             }
 
